D-Bus 1.13.18

Data Fields
DBusMessageLoader Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Implementation details of DBusMessageLoader. More...

`#include <dbus-message-private.h>`

## Data Fields
int | refcount
| Reference count.
DBusString | data
| Buffered data.
DBusList * | messages
| Complete messages.
long | max_message_size
| Maximum size of a message.
long | max_message_unix_fds
| Maximum unix fds in a message.
DBusValidity | corruption_reason
| why we were corrupted
unsigned int | corrupted: 1
| We got broken data, and are no longer working.
unsigned int | buffer_outstanding: 1
| Someone is using the buffer to read.

## Detailed Description

Implementation details of DBusMessageLoader.

All members are private.

Definition at line 60 of file dbus-message-private.h.

The documentation for this struct was generated from the following file:

- dbus-message-private.h